PHP Manual
Prev |  | Next

# ZipArchive::deleteName

(no version information, might be only in CVS)

ZipArchive::deleteName -- delete an entry in the archive using its name

## Description

bool ZipArchive::deleteName ( string name )

Delete an entry in the archive using its name.

## Parameters

name

  Name of the entry to delete.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Delete file from archive using its name

`<?php $zip = new ZipArchive; if ($zip->open('test1.zip') === TRUE) { $zip->deleteName('testfromfile.php'); $zip->close(); echo 'ok'; } else { echo 'failed'; } ?>`

Prev | Home | Next
ZipArchive::deleteIndex | Up | ZipArchive::extractTo